> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.markup/yarn.markup.iattributemarkerprocessor.md).

# IAttributeMarkerProcessor

Interface in [Yarn.Markup](/3.1/api/csharp/yarn.markup.md)

## Summary

Provides a mechanism for producing replacement text for a marker.

```csharp
public interface IAttributeMarkerProcessor
```

## Methods

| Name                                                                                                                                                                                                                   | Description                             |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------- |
| [ProcessReplacementMarker(MarkupAttribute,System.Text.StringBuilder,List,string)](/3.1/api/csharp/yarn.markup/yarn.markup.iattributemarkerprocessor/yarn.markup.iattributemarkerprocessor.processreplacementmarker.md) | Produces replacement text for a marker. |

## See Also

* [LineParser.RegisterMarkerProcessor(string,IAttributeMarkerProcessor)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.registermarkerprocessor.md): Registers an object as a marker processor for a given marker name.
* [LineParser.DeregisterMarkerProcessor(string)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.deregistermarkerprocessor.md): Removes any marker processor associated with a given marker name.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.markup/yarn.markup.iattributemarkerprocessor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
